Subject: bug#23079: closed (Re: bug#23079: 25.0.92; Movement commands leave cursor in invisible line)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 01 Oct 2020 12:27:04 +0000

Your bug report

#23079: 25.0.92; Movement commands leave cursor in invisible line

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23079: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23079
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#23079: 25.0.92; Movement commands leave cursor in invisible line
From: Stefan Kangas <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: Michael Heerdegen <[email-masked]>, [email-masked], [email-masked]
Date: Thu, 1 Oct 2020 05:26:33 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Kangas <[email-masked]> writes:

> Stefan Monnier <[email-masked]> writes:
>
>> tags 23079 notabug
>> thanks
>>
>>> I try to give a recipe resembling a bug in Magit concerning hidden lines
>>> and cursor movement.  In some buffer (emacs -Q) do
>>
>>>   (insert "111" "\n222\n"
>>>           (propertize "333\n444\n\n" 'invisible t)
>>>           "555\n666\n")
>>
>>> and move around with C-n, C-p.  Then the cursor will appear over the
>>> first "5" but point is actually located inside the invisible area.
>>
>> That's normal: (get-pos-property <pos> 'invisible) returns nil in front
>> of "333" but t in front of "555", so point adjustment will try to move
>> point to right before "333" when we're in that invisible chunk.
>>
>> IOW the position "right before 555" is actually considered as being
>> "inside the invisible area" whereas the position "right before 333" is
>> considered as being outside of it.
>>
>> If you want point adjustment to move point to right before "555"
>> instead, you should change the stickiness of the `invisible' property so
>> as to change which boundary position is considered "inside" and which is
>> considered "outside".
>
> This was tagged notabug, then started discussing possible changes in
> Magit, and then nothing more happened in 4 years.  So is there anything
> more to do here or can this be closed?

More information was requested, but none was given within 6 weeks, so
I'm closing this bug.  If there is anything more to do here, please
reply to this email (use "Reply to all" in your email client) and we can
reopen the bug report.

Best regards,
Stefan Kangas

Subject: 25.0.92; Movement commands leave cursor in invisible line
From: Michael Heerdegen <[email-masked]>
To: [email-masked]
Date: Mon, 21 Mar 2016 21:19:04 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I try to give a recipe resembling a bug in Magit concerning hidden lines
and cursor movement.  In some buffer (emacs -Q) do

  (insert "111" "\n222\n"
          (propertize "333\n444\n\n" 'invisible t)
          "555\n666\n")

and move around with C-n, C-p.  Then the cursor will appear over the
first "5" but point is actually located inside the invisible area.  This
is the cause of our trouble.

(setq line-move-visual t) helps, but setting (setq goal-column 0) makes
it appear again.

For reference, this is the original report in Magit (including
screenshots):

  https://github.com/magit/magit/issues/2592

Thanks,

Michael.

In GNU Emacs 25.0.92.11 (x86_64-pc-linux-gnu, GTK+ Version 3.18.9)
 of 2016-03-21 built on drachen
Repository revision: 76ef52267cf887e3e1aa6d25b3b16dd0601dd459
Windowing system distributor 'The X.Org Foundation', version 11.0.11802000
System Description:	Debian GNU/Linux testing (stretch)

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GSETTINGS NOTIFY
LIBXML2 FREETYPE XFT ZLIB TOOLKIT_SCROLL_BARS GTK3 X11